 #!/bin/bash


OAI_LIST_RECORDS='?verb=ListRecords&metadataPrefix=oai_dc'

BASE_OAI_URLS="\
http://cs1.ist.psu.edu/cgi-bin/oai.cgi \
http://dspace.udc.es/dspace-oai/request \
http://eprints.upc.es:8080/revistes-oai/request \
http://dalea.du.se/oai/ \
http://dspace.stir.ac.uk/dspace-oai/request \
http://oai.lib.msu.edu/OAIHandler \
http://deneb.hacer.ula.ve/cgi-win/be_oai.exe \
http://sdeir.uqac.ca/metadata/oai.asp \
http://oai.ethz.ch/oai.asp \
http://eprints.c3sl.ufpr.br/perl/oai2 \
http://earth.cs.utk.edu/OAI/test/oai.pl \
http://www.tdx.cesca.es/TDX_UIB/NDLTD-OAI/oai.pl \
http://www.mundus.ac.uk/cgi-bin/oai/OAI2.0 \
http://wo.uio.no/as/WebObjects/theses.woa/wa/oai \
http://fred.ccsu.edu:8000/perl/oai2 \
http://opus.ub.uni-bayreuth.de/oai/oai2.php \
http://kpbc.umk.pl/dlibra/oai-pmh-repository.xml \
http://www.6journal.org/perl/oai2 \
http://magpie.lboro.ac.uk:8080/dspace-oai/request \
http://srb2.bib.iteso.mx/coneicc/oai.aspx \
http://www.opus-bayern.de/uni-passau/oai/oai2.php \
http://oai-dp.bdaweb.net:8080/bda/OpenArchives/oai_servlet \
http://oai.persee.fr/oai.do \
http://caltechlib.library.caltech.edu/perl/oai2 \
http://www.bsz-bw.de/cgi-bin/oai20_send.pl \
http://etheses.nottingham.ac.uk/perl/oai2 \
http://elib.suub.uni-bremen.de/cgi-bin/oai2 \
http://alcme.oclc.org/xtcat/servlet/OAIHandler \
http://nainfo.nbs.bg.ac.yu/doiserboai/oai2.aspx \
http://www.physik-multimedial.de/OAI/phpoai2-1.5/oai2.php \
http://vts.uni-ulm.de/oai/oai.asp \
http://bnarchives.yorku.ca/perl/oai2 \
http://digitalcommons.stevens.edu/cgi/oai2.cgi \
http://www.dipp.nrw.de/repository/oai \
http://www.fontyspublicaties.nl/oai/pub.fontys.nl.cgi \
http://edoc.ub.uni-muenchen.de/perl/oai2 \
http://edoc.hu-berlin.de/OAI-2.0 \
http://diglib.lib.auburn.edu/cgi-bin/OAI-XMLFile/XMLFile/auburn/oai.pl \
http://infomine.ucr.edu/cgi-bin/OAI-PMH-server \
http://laica.science.unitn.it:8080/netbib/oai2/oai2.php \
http://www.genlit.org/agr/oai/ \
http://eprints.lib.hokudai.ac.jp/dspace-oai/request \
http://eprints.upc.es/oai_sbd/oai2_pfcs.php \
http://www.ucm.es/eprints/perl/oai2 \
http://www.opus-bayern.de/bib-info/oai/oai2.php \
http://gutenberg.dcs.fi.uva.es:8080/OAI_UVA/Oai_incunables \
http://www.diva-portal.org/oai/OAI \
http://dialnet.unirioja.es/oai/OAIHandler \
http://www.refer.nhs.uk/oai-pmh/oai-pmh.asp \
http://ict.udlap.mx:9090/Tales/Oai_tesis \
http://jeanNicod.ccsd.cnrs.fr/perl/oai20 \
http://www.theses.ulaval.ca:8080/oaicat/servlet/OAIHandler \
http://www.perseus.tufts.edu/cgi-bin/pdataprov \
http://researchspace.auckland.ac.nz/cgi/oai2.cgi \
http://dlibra.psnc.pl/biblioteka/oai-pmh-repository.xml \
http://dare.uva.nl/cgi/arno/oai/uvapub \
http://www.ifeanet.org/phpoai2-1.5/php_oai/oai2.php \
http://diobma.udg.es:8080/dspace-oai/request \
http://www.zas.gwz-berlin.de/cgi-bin/XMLFile/XMLFile/ZASPIL/oai.pl \
http://cache.libr.tue.nl:1972/csp/dare/DARE.Repository.cls \
http://epublish.utdallas.edu/cgi/oai2.cgi \
http://www.entomotropica.org/ojs/oai/ \
http://kb.osu.edu/dspace-oai/request \
http://kups.ub.uni-koeln.de/phpoai/oai2.php \
http://eprints.soas.ac.uk/perl/oai2 \
http://ws.pangaea.de/oai/ \
http://biblioteca.unisabana.edu.co/tesis/oai.php \
http://oai.english-heritage.org.uk/oai.asp \
http://www.infomotions.com/gallery/oai/index.pl \
http://uther.dlib.vt.edu:8080/oaicat/servlet/OAIHandler \
http://nsdl.sdsc.edu/oai-server/oai.cgi \
http://oai.repec.openlib.org \
http://dspace.ubib.eur.nl/oai/ \
http://www.wbc.poznan.pl/dlibra/oai-pmh-repository.xml \
http://sunsite2.berkeley.edu:8088/oaicat/OAIHandler \
http://publica.fraunhofer.de/oai.har \
http://vle.bromley.ac.uk/dspace-oai/request \
http://darchive.mblwhoilibrary.org/dspace-oai/request \
http://deepblue.lib.umich.edu/dspace-oai/request \
http://joypub.joensuu.fi/OAI/ \
http://dl.comp.nus.edu.sg/dspace-oai/request \
http://content.lib.utah.edu/cgi-bin/oai.exe \
http://eprints.erpanet.org/perl/oai2 \
http://epubs.cclrc.ac.uk/oai \
http://caltechkhr.library.caltech.edu/perl/oai2 \
http://espace.lis.curtin.edu.au/perl/oai2 \
http://rib.cs.utk.edu/OAI/test/oai.pl \
http://sammelpunkt.philo.at:8080/perl/oai2 \
http://services.nsdl.org:8080/nsdloai/OAI \
http://docu.gdl.iteso.mx/ccdoc/oai.aspx \
http://bfp.sp.unipi.it/hj/oaiServer.php \
http://miless.uni-duisburg-essen.de/servlets/OAIDataProvider \
http://eprints.stoa.it/perl/oai2 \
http://dspace.c3sl.ufpr.br/dspace-oai/request \
http://eprints.fri.uni-lj.si/perl/oai2 \
http://dspace.msh-alpes.prd.fr/oai/ \
http://eiop.or.at/cgi-bin/oaiserv.pl \
http://memsic.ccsd.cnrs.fr/perl/oai2 \
http://eprints.anu.edu.au/perl/oai2 \
http://oai.sunsite.utk.edu/cgi-bin/oai2.cgi \
http://eprints.dcu.ie/perl/oai2 \
http://ju.nii.ac.jp/cgi-bin/oai/oai2.0 \
http://etd.library.pitt.edu/ETD-db/NDLTD-OAI2/oai.pl \
http://mssa.library.yale.edu/madid/oai/oai2.php \
http://boundless.uoregon.edu/cgi-bin/oai.exe \
http://mdz1.bib-bvb.de/~db/OAI/oai2.php \
http://dspace.hsl.washington.edu/dspace-oai/request \
http://iesr.ac.uk/service/iesroai \
http://purl.oclc.org/NET/ugent/lib/srepod/oai.ask23.de/static/ask23-oai.xml \
http://digitalcommons.uconn.edu/cgi/oai2.cgi \
http://eprints.rhul.ac.uk/perl/oai2 \
http://libeprints.open.ac.uk/perl/oai2 \
http://txspace.tamu.edu/dspace-oai/request \
http://caltechgalcitfm.library.caltech.edu/perl/oai2 \
http://www.mpi.nl/IMDI/OAI-IMDI/2.0/imdi_oai2.pl \
http://eprint.monash.edu.au/perl/oai2 \
http://ndad.ulcc.ac.uk/cgi-bin/oai/OAI2.0 \
http://miami.uni-muenster.de/servlets/OAIDataProvider \
http://archiveSIC.ccsd.cnrs.fr/perl/oai20 \
http://www.dlese.org/oai/provider \
http://dlc.dlib.indiana.edu/perl/oai2 \
http://vifaphys.tib.uni-hannover.de/oai/oai2.php \
http://eprints.rclis.org/perl/oai2 \
http://digitalcommons.lib.ttu.edu/cgi/oai2.cgi \
http://oai.usc.edu:8085/oaidp \
http://w3.avignon.inra.fr/dspace-oai/request \
http://dspace.wesleyan.edu/dspace-oai/request \
http://oai.revues.org/20/ \
http://oai.co.allenpress.com/oai/biooneonline \
http://caltecheerl.library.caltech.edu/perl/oai2 \
http://oralhistories.library.caltech.edu/perl/oai2 \
http://www.tucs.fi/publications/oai/oai.php \
http://cogprints.ecs.soton.ac.uk/perl/oai2 \
http://iris.sid.inpe.br:1905/col/iconet.com.br/banon/2003/11.21.21.08/doc/oai.cgi \
http://etext.library.adelaide.edu.au/cgi-bin/OAI-lite.pl \
http://bibmed.ucla.edu.ve/cgi-win/be_oai.exe \
http://www.cs.dal.ca:8088/perl/oai2 \
http://www.bopcris.ac.uk/cgi-bin/OAI-XMLFile-2.1/XMLFile/eppi/oai.pl \
http://www.hsdvl.org/oai/oai2.php \
http://www.lis.upatras.gr/ebge/oai2/oai2.php \
http://mitizane.ll.chiba-u.jp/cgi-bin/oai/oai2.0 \
http://epubs.scu.edu.au/cgi/oai2.cgi \
http://dspace.mclibrary.duke.edu/dspace-oai/request \
http://mdz1.bib-bvb.de/~db/OAI-DigitaleSammlungen/oai2.php \
http://purl.oclc.org/NET/ugent/lib/srepod/www.progettocaere.rm.cnr.it/databasegestione/A_C_oai_Archive.xml \
http://lsr.nellco.org/cgi/oai2.cgi \
http://www.jelit.org/perl/oai2 \
http://caltechcdstr.library.caltech.edu/perl/oai2 \
http://opus.kobv.de/ubp/phpoai/oai2.php \
http://web.awi-bremerhaven.de/fedora/oai \
http://dc-app2.gfz-potsdam.de/oai.php \
http://eprints.vu.edu.au/perl/oai2 \
http://ritdml.rit.edu/dspace-oai/request \
http://arno.uvt.nl/oai/wo.uvt.nl.cgi \
http://eprints.iisc.ernet.in/perl/oai2 \
http://drum.umd.edu/oai \
http://eprints.ime.usp.br/perl/oai2 \
http://caltechbook.library.caltech.edu/perl/oai2 \
http://psydok.sulb.uni-saarland.de/phpoai/oai2.php \
http://nal-ir.nal.res.in/perl/oai2 \
http://eaces.liuc.it/oai/default.asp \
http://dspace.dsto.defence.gov.au/dspace-oai/request \
http://www.meind.de/oai2d.py/ \
http://repository.upenn.edu/cgi/oai2.cgi \
http://authors.library.caltech.edu/perl/oai2 \
http://sunzi.lib.hku.hk/cgi-bin/OAI/hkuto.pl \
http://jsnc.library.caltech.edu/perl/oai2 \
http://caltechcstr.library.caltech.edu/perl/oai2 \
http://eprints.ucl.ac.uk/perl/oai2 \
http://repositories.cdlib.org/cgi/oai2.cgi \
http://www.infomotions.com/musings/oai/index.pl \
http://resgenchem15.chem.wisc.edu/spt/SPT--OAI.php \
http://www.aedhe.org/oai/oai2.asp \
http://dare.uva.nl/cgi/arno/oai/aup \
http://animaldiversity.ummz.umich.edu/local/oai/do \
http://www.lbd.dcc.ufmg.br/cgi-bin/bdbcomp/oai2/oai.pl \
http://www.jiia.it/Library/oai/ \
http://archiv.ub.uni-marburg.de/oai/oai2.php \
http://www.ajol.info/oai/ \
http://oaidp.library.wisc.edu/oaicat/OAIHandler \
http://sherpa.leeds.ac.uk/perl/oai2 \
http://diglib.lib.utk.edu/oai/oai20.php \
http://iubio.bio.indiana.edu:7780/perl/oai2 \
http://www.forex.uni-bremen.de/cgi-bin/oai2 \
http://memory.loc.gov/cgi-bin/oai2_0 \
http://www.complexityscience.net/perl/oai2 \
http://orgprints.org/perl/oai2 \
http://pcpgw.ensta.fr/perl/oai2 \
http://tel.ccsd.cnrs.fr/perl/oai20 \
http://ub-www2.uni-duisburg.de:8080/cgi-oai2/2/OAI-XMLFile-2.1/XMLFile/DuetT/oai.pl \
http://hbllmedia.lib.byu.edu/test/PhpOai2/oai/oai2.php \
http://dare.uva.nl/cgi/arno/oai/imiscoe \
http://www.tdr.cesca.es/TDR_UM/NDLTD-OAI/oai.pl \
http://eprints.ru.ac.za/perl/oai2 \
http://jenghung.twbbs.org/ETD-db/etddb/oai.pl \
http://oai.enc.sorbonne.fr/oai2.php \
http://www6.nau.edu/library/oai/OAI.cfm \
http://www.ifremer.fr/docelec/oai/OAIHandler \
http://digitalcommons.simmons.edu/cgi/oai2.cgi \
http://openmed.nic.in/perl/oai2 \
http://geb.uni-giessen.de/geb/oai/oai2.php \
http://www.opus-bayern.de/uni-regensburg/oai/oai2.php \
http://papadocs-oai.dsi.uminho.pt:8080/request \
http://cgi.vtt.fi/progs/inf/balticOAI \
http://www.bopcris.ac.uk/cgi-bin/OAI-XMLFile-2.1/XMLFile/parl18c/oai.pl \
http://kmoddl.library.cornell.edu/oai/oai2.php \
http://ethesis.inp-toulouse.fr/perl/oai2 \
http://www.kup.at/cgi-bin/OAI/XMLFile/kup/oai.pl \
http://eprints.ouls.ox.ac.uk/perl/oai2 \
http://www.language-archives.org/cgi-bin/olaca3.pl \
http://physnet.uni-oldenburg.de/oai/oai2.php \
http://bieson.ub.uni-bielefeld.de/phpoai/oai2.php \
http://cdsweb.cern.ch/oai \
http://www.tdx.cesca.es/TDX_UJI/NDLTD-OAI/oai.pl \
http://submit.library.lt/ETD-db/NDLTD-OAI/oai.pl \
http://www.tdx.cesca.es/TDX_UdG/NDLTD-OAI/oai.pl \
http://phy043.tours.inra.fr:8080/perl/oai2 \
http://eprints.univ-lyon2.fr:8050/perl/oai2 \
http://dspace.cityu.edu.hk/dspace-oai/request \
http://digibib.ub.uni-giessen.de/cgi-bin/populo/oai-pap.cgi \
http://nsdl.lon-capa.org/cgi-bin/OAI-XMLFile/XMLFile/nsdlexport/oai.pl \
http://tampub.uta.fi/oaister/oai2.php \
http://www.bibliovault.org/perl/oai2 \
http://etd.ncsi.iisc.ernet.in/dspace-oai/request \
http://oai.alejandria.biz/cgi-win/be_oai.exe \
http://doks.khk.be/eindwerk/oai \
http://biblio-eprints.bo.cnr.it/perl/oai2 \
http://eprints.comp.utas.edu.au:81/perl/oai2 \
http://www.conoze.com/interfaz/oai/20/ \
http://servdoc.jp.cnrs.fr/perl/oai2 \
http://etd-submit.etsu.edu/ETD-db/OAI/oai.pl \
http://oai.ibict.br/oai/mypoai/oai2.php \
http://pastel.paristech.org/perl/oai2 \
http://bolder.grainger.uiuc.edu/uiLibOAIProvider/2.0/oai.asp \
http://www.tdx.cesca.es/TDX_UB/NDLTD-OAI/oai.pl \
http://repository.wrclib.noaa.gov/cgi/oai2.cgi \
http://escholar.humboldt.edu:8080/dspace-oai/request \
http://www.tdr.cesca.es/TDR_UC/NDLTD-OAI/oai.pl \
http://www.epress.ac.uk/phpoai2/oai2.php \
http://digitalcommons.carleton.edu/cgi/oai2.cgi \
http://content.test.denison.edu/cgi-bin/oai.exe \
http://www.epa.gov/cgi-bin/oai_ntsd \
http://theses.lub.lu.se/oai-service/xerxes/ \
http://www.ibiblio.org/collection/oai/ \
http://thesis.haverford.edu/perl/oai2 \
http://eprints.ecs.soton.ac.uk/perl/oai2 \
http://www.hti.umich.edu/cgi/b/broker20/broker20 \
http://eprints.presidentekennedy.br:9000/perl/oai2 \
http://www.ubka.uni-karlsruhe.de/oai/eva/oai2.php \
http://vphill.com/photodatabase/oai/oai2.php \
http://scholarsbank.uoregon.edu/dspace-oai/ \
http://www.zas.gwz-berlin.de//cgi-bin/XMLFile/XMLFile/ZASPIL/oai.pl \
http://libtextcenter.unl.edu:2000/cgi-bin/oai.exe \
http://infoscience.epfl.ch/oai2d.py/ \
http://digitalcommons.pace.edu/cgi/oai2.cgi \
http://jdc.jefferson.edu/cgi/oai2.cgi \
http://cav2001.library.caltech.edu/perl/oai2 \
http://theses.lub.lu.se/oai-service/scripta/ \
http://epub.wu-wien.ac.at/dyn/OAI/oaicgi.pl \
http://diglib.cib.unibo.it/oai/oai2.php \
http://docinsa.insa-lyon.fr/oai/oai2.php \
http://cgsc.cdmhost.com/cgi-bin/oai.exe \
http://www.gsi.de/home/harvest/oai2.php \
http://etd.adm.unipi.it/ETD-db/NDLTD-OAI/oai.pl \
http://eprints.kcl.ac.uk/perl/oai2 \
http://www.opus-bayern.de/fh-regensburg/oai/oai2.php \
http://hsss.slub-dresden.de/oai/OAI-2.0 \
http://cds.lib.auth.gr/cgi-bin/cds/oai2d \
http://archiv.tu-chemnitz.de/cgi-bin/interfaces/oai/oai2.pl \
http://www.biomedcentral.com/oai/2.0/ \
http://www.aim25.ac.uk/cgi-bin/oai/OAI2.0 \
http://www.infomotions.com/alex/oai/index.pl \
http://archiveseiah.univ-lemans.fr/perl/oai2 \
http://ProjectEuclid.org/Dienst \
http://www.ubka.uni-karlsruhe.de/oai/gap-c/oai2.php \
http://ir.library.oregonstate.edu/dspace-oai/request \
http://www.idrc.ca/OAI/ \
http://www.lib.utexas.edu/oai/oai2.php \
http://rose.bris.ac.uk/dspace-oai/request \
http://www.asdlib.org/oai/oai.php \
http://eot2003.ncsa.uiuc.edu/oai2.php \
http://caltechparadise.library.caltech.edu/perl/oai2 \
http://cacr.library.caltech.edu/perl/oai2 \
http://cgi.vtt.fi/progs/inf/OAI \
http://www.tdx.cesca.es/TDX_UV/NDLTD-OAI/oai.pl \
http://infsearch.cs.cmu.edu/cgi-bin/oai.pl \
http://www.tdx.cesca.es/TDX_URV/NDLTD-OAI/oai.pl \
http://digital.library.pitt.edu/cgi-bin/b/broker20/broker20 \
http://dlib.bg.pwr.wroc.pl/dlibra/oai-pmh-repository.xml \
http://www.opus-bayern.de/ku-eichstaett/oai/oai2.php \
http://kramerius.nkp.cz/kramerius/oai \
http://kuscholarworks.ku.edu/dspace-oai/request \
http://dare.uva.nl/cgi/arno/oai/uvadis \
http://publica.fraunhofer.de/eprints.har \
http://www.tdx.cesca.es/TDX_URL/NDLTD-OAI/oai.pl \
http://doks.kdg.be/oai \
http://caltechlessgs.library.caltech.edu/perl/oai2 \
http://www.tdx.cesca.es/TDX_UPF/NDLTD-OAI/oai.pl \
http://oai.dlib.indiana.edu/phpoai/oai2.php \
http://eprints.nottingham.ac.uk/perl/oai2 \
http://digital.library.upenn.edu/webbin/OAI-celebration \
http://digitalcommons.massey.ac.nz/cgi/oai2.cgi \
http://www.invenia.es/oai/oai2.asp \
http://dspace.ncl.res.in/dspace-oai/request \
http://gutenberg.dcs.fi.uva.es:8080/uvaoai/proveedor \
http://digitalcommons.utep.edu/cgi/oai2.cgi \
http://www.bioline.org.br/oai \
http://oai.uni-tuebingen.de/OAIServer/oai2.aspx \
http://www.tdx.cesca.es/TDX_UPC/NDLTD-OAI/oai.pl \
http://www.nla.gov.au/apps/oaicat/servlet/OAIHandler \
http://eprints.gla.ac.uk/perl/oai2 \
http://eprints.unimelb.edu.au/perl/oai2 \
http://eprints.ens-lsh.fr/perl/oai2 \
http://digitalcommons.providence.edu/cgi/oai2.cgi \
http://archives.univ-lyon2.fr/perl/oai2 \
http://rogue.ncl.ac.uk/xml/index.php \
http://eprints.bbk.ac.uk/perl/oai2 \
http://bibcyt.ucla.edu.ve/cgi-win/be_oai.exe \
http://padis.uniroma1.it/oai2d.py/ \
http://edoc.tkk.fi/oai/oai2.php \
http://lu-research.lub.lu.se/php/oai.php \
http://www.tdx.cesca.es/TDX_UdL/NDLTD-OAI/oai.pl \
http://eldorado.uni-dortmund.de:8080/rootcollection/cgi/oai2 \
http://tech-team-help.cwru.edu/oai/ \
http://helindigitalcommons.org/cgi/oai2.cgi \
http://digitalcommons.uncfsu.edu/cgi/oai2.cgi \
http://petroleumjournalsonline.com/journals/index.php/index/oai/ \
http://papyrus.bib.umontreal.ca/dspace-oai/request \
http://www.opus-bayern.de/uni-augsburg/oai/oai2.php \
http://digitalcommons.dickinson.edu/cgi/oai2.cgi \
http://oai-dienst.uni-oldenburg.de/oai2/oai2.php \
http://broker10.fcla.edu/cgi/b/broker20/broker20 \
http://publications.u-paris10.fr/perl/oai2 \
http://www.tdx.cesca.es/TDX_UAB/NDLTD-OAI/oai.pl \
http://hw.oeaw.ac.at/oai \
http://docs.lib.purdue.edu/cgi/oai2.cgi \
http://biblioteca.fagro.edu.uy/cgi-bin/gateway/gateway.cgi/biblioteca.fagro.edu.uy/gateway/agro110.xml \
http://nainfo.nbs.bg.ac.yu/sfoa/oa/oai2.php \
http://magpie.lboro.ac.uk/dspace-oai/request \
http://zitmac05.gkss.de/fmi/xsl/oai/oai.xsl \
http://oai.ub.rub.de/oai/oai2.php \
http://arno.uvt.nl/oai/scr.uvt.nl.cgi \
http://dspace.c3sl.ufpr.br/dspace-oai/ \
http://hal.ccsd.cnrs.fr/oai/oai.php \
http://www.open-video.org/oai2.0/ \
http://ecommons.txstate.edu/cgi/oai2.cgi \
http://ro.uow.edu.au/cgi/oai2.cgi \
http://acta.uta.fi/harvest/oai.phtml \
http://www.opus-bayern.de/fh-wue-sw/oai/oai2.php \
http://demeter.univ-lyon2.fr:8080/sdx/sdx/oai/theses/documents \
http://www.ecologyandsociety.org/oai/ \
http://www.crcstudio.arts.ualberta.ca/streetprint/XML/oai/ \
http://www.lis.upatras.gr/kosmopolis/oai2/oai2.php \
http://pkp.ubc.ca/harvester/oai/ \
http://dspace.lib.rochester.edu/oai/request \
http://www.bopcris.ac.uk/cgi-bin/OAI-XMLFile-2.1/XMLFile/bopcris/oai.pl \
http://dspace.nitrkl.ac.in:8080/dspace-oai/request \
http://vitrina.bibliotecachiapas.gob.mx/cgi/oai2.cgi \
http://dspace.nitrkl.ac.in/dspace-oai/request \
http://digitalcommons.library.tmc.edu/cgi/oai2.cgi \
http://dspace.wul.waseda.ac.jp/dspace-oai/request \
http://digitalcommons.middlebury.edu/cgi/oai2.cgi \
http://www.lib.drake.edu:8080/dspace-oai/request \
http://dspace.mit.edu/oai/request \
http://www.enc.org/oai/2.0/default.pl \
http://philsci-archive.pitt.edu/perl/oai2 \
http://aei.pitt.edu/perl/oai2 \
http://lacito.archivage.vjf.cnrs.fr/servlet/metadata \
http://images.indianahistory.org/cgi-bin/oai.exe \
http://epub.ub.uni-muenchen.de/perl/oai2 \
http://diss-epsilon.slu.se/perl/oai2 \
http://srb2.bib.iteso.mx/oai/fxc/default.aspx \
http://www.hb.fh-muenster.de/opus/fhms/phpoai/oai2.php \
http://doc.rero.ch/oai2d.py/ \
http://digitalcommons.ilr.cornell.edu/cgi/oai2.cgi \
http://escholarship.bc.edu/cgi/oai2.cgi \
http://www.cybertesis.cl:8080/sdx/sdx/oai/uchile/documents \
http://eprints.biblio.unitn.it/perl/oai2 \
http://dispute.library.uu.nl/cgi-bin/oai.pl \
http://docu.gdl.iteso.mx/oai/default.aspx \
http://techreports.larc.nasa.gov/ltrs/oai2.0/ \
http://diglib.lib.utk.edu/cgi/b/broker20/broker20 \
http://naca.larc.nasa.gov/oai2.0/ \
http://hpds1.mit.edu/oai/ \
http://eprints.cf.ac.uk/perl/oai2 \
http://ubopenac.ub.uni-bielefeld.de/diglib/phpoai/oai2.php \
http://zbc.uz.zgora.pl/dlibra/oai-pmh-repository.xml \
http://dspace.lib.iup.edu:8080/dspace-oai/request \
http://epubs.surrey.ac.uk/cgi/oai2.cgi \
http://edoc.bibliothek.uni-halle.de/servlets/MCROAIDataProvider \
http://dspace.hrz.uni-dortmund.de:8080/dspace-oai/request \
http://bibciv.ucla.edu.ve/cgi-win/be_oai.exe \
http://repository.libis.kuleuven.be/dspace-oai/request \
http://digitalcommons.trinity.edu/cgi/oai2.cgi \
http://smartech.gatech.edu:8282/dspace-oai/request \
http://libserv12.Princeton.EDU/oai/oai.pl \
http://www.tdx.cesca.es/TDX_UOC/NDLTD-OAI/oai.pl \
http://arXiv.org/oai2 \
http://www.pubmedcentral.gov/oai/oai.cgi \
http://dataprovider.ibict.br/mypoai/oai2.php \
http://quod.lib.umich.edu/cgi/o/oai/oai"


for BASE_OAI_URL in $BASE_OAI_URLS ; 
do 
    echo $BASE_OAI_URL
    wget --tries=2 --dns-timeout=10  --connect-timeout=10 --read-timeout=120 $BASE_OAI_URL$OAI_LIST_RECORDS ;
done
